# Generated migration for attendance confirmation

from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('schedule', '0007_alter_lesson_subject_to_foreignkey'),
    ]

    operations = [
        migrations.AddField(
            model_name='lesson',
            name='attendance_confirmation_sent',
            field=models.BooleanField(default=False, help_text='Отправлен ли запрос о подтверждении присутствия за 3 часа до занятия', verbose_name='Запрос подтверждения присутствия отправлен'),
        ),
        migrations.AddField(
            model_name='lesson',
            name='attendance_confirmed',
            field=models.BooleanField(blank=True, help_text='Ответ студента на запрос о присутствии (True - будет, False - не будет, None - не ответил)', null=True, verbose_name='Присутствие подтверждено'),
        ),
        migrations.AddField(
            model_name='lesson',
            name='attendance_response_at',
            field=models.DateTimeField(blank=True, null=True, verbose_name='Время ответа о присутствии'),
        ),
    ]

